Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038102
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-03-12 14:492018-03-29 13:07
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision2807ccffa546
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038102: Different behavior in automatic creation of negative goods shipment depending on the product having stock or not

DescriptionDifferent behavior in automatic creation of negative goods shipment depending on the product having stock or not.

Automatic Goods Shipments are created in:

- Create Shipments From Orders
- Sales Order (Warehouse Order and POS Order document types)
Steps To ReproduceAs group admin role:
   Create a new product
   Add a sales price to it
   Create a sales order
   Add a product with stock
   Set a negative quantity
   Book it
   Go to Create Shipments From Orders and select previously created order
   Check the Goods Shipment can be created correctly

   Create a sales order
   Select Warehouse Order document Type
   Add a product with stock
   Set a negative quantity
   Check you can book it

   Create a sales order
   Select POS Order document Type
   Add a product with stock
   Set a negative quantity
   Check you can book it

   Create a sales order
   Select Warehouse Order document Type
   Add the previously created product (without stock)
   Set a negative quantity
   Try to book it and check the following error message is shown:
      "In line10 has no storage bin defined"
   
   Change the document type to "POS Order" and check the problem is the same
   Change the document type to Standard Order and book it

   Go to Create Shipments From Orders and select previously created order
   Check the following error message is shown:
      Order No. <>: No shipment could be created.
      Order line: 10 Insufficient stock: for product <>.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0103242)
collazoandy4 (developer)
2018-03-14 15:27
edited on: 2018-03-23 20:42

Test Plan
  Go to Sales Order window and create a new record:
    Business Partner: Hoteles Buenas Noches, S.A.
    Document Type: Warehouse Order document
    Add a product with stock
    Book the order and check the process ends successfully and the order delivery status is 100%

Test Plan II
  Repeat the previous test plan using POS Order Document Type

Test Plan III
  Go to Sales Order window and create a new record:
    Business Partner: Hoteles Buenas Noches, S.A.
    Document Type: Standard Order
    Add a product with stock
    Book the order and check the process ends successfully
  Go to Create Shipments from Orders window and select the previous order created process it and check the process ends successfully

Test Plan IV
  Go to Product window and create a new record:
    Search Key/Name: 38102Product
    Add a sales price list
  Go to Sales Order window and create a new record:
    Business Partner: Hoteles Buenas Noches, S.A.
    Document Type: Standard Order
    Add the previous product created to Lines tab
    Book the order and check the process ends successfully
  Go to Create Shipments from Orders window and select the previous order created process it and check the process shows the error message: Order line: 10 Insufficient stock: for product 38102Product.

Test Plan V
  Go to Sales Order window and create a new record:
    Business Partner: Hoteles Buenas Noches, S.A.
    Document Type: Warehouse Order document
    Add the previous product created to Lines tab
    Book the order and check the process shows an error message: Order line: 10 Insufficient stock: for product 38102Product.

Test Plan VI
  Repeat the previous test plan using POS Order Document Type

Test Plan VII
  Repeat all previous tests plans with a negative qty and check the process ends successfull and the product stock is increased

Test Plan VIII
  As System Admin Role
    Set Displayed: Y to Generate Receipt from Invoice field in Purchase Invoice Header tab
  Rebuild the application

  As F&B International Group Admin Role
    Go to Purchase Invoice window and create a new record:
      Business Partner: Bebidas Alegres, S.L.
      Add a product to it and Book it
      Click on Generate Receipt from Invoice button and check the process ends successfully and a new receipt was created for the invoice

(0103546)
hgbot (developer)
2018-03-26 18:41

Repository: erp/devel/pi
Changeset: 2807ccffa5464dbf8ba634861f813953aa606fd6
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Mar 23 09:29:15 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/2807ccffa5464dbf8ba634861f813953aa606fd6 [^]

Fixes issue 38102: Different behavior in automatic creation of negative goods
shipment if the product depending on the product having stock or not

When completing a Warehouse or POS order and at least one line have Insufficient
stock for a product the proper error message doesn't shown in the order window,
also if the product have a negative qty the process fail

Now the correct error message is shown when there is Insufficient stock for a product
and a negative Warehouse or Pos order can be completed as a negative shipment increase
the product stock

---
M src-db/database/model/functions/M_INOUT_CREATE.xml
---
(0103547)
dmiguelez (developer)
2018-03-26 18:41

Code Review + Testing Ok
(0103635)
hudsonbot (developer)
2018-03-29 13:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ead4656f507e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-12 14:49 ngarcia New Issue
2018-03-12 14:49 ngarcia Assigned To => Triage Finance
2018-03-12 14:49 ngarcia Modules => Core
2018-03-12 14:49 ngarcia Triggers an Emergency Pack => No
2018-03-12 14:50 ngarcia Issue Monitored: networkb
2018-03-12 14:54 Practics Issue Monitored: Practics
2018-03-12 16:25 aferraz Assigned To Triage Finance => collazoandy4
2018-03-12 16:56 collazoandy4 Status new => scheduled
2018-03-14 15:27 collazoandy4 Note Added: 0103242
2018-03-14 16:53 collazoandy4 Note Edited: 0103242 View Revisions
2018-03-22 09:44 ngarcia Summary Different behavior in automatic creation of negative goods shipment if the product depending on the product having stock or not => Different behavior in automatic creation of negative goods shipment depending on the product having stock or not
2018-03-22 09:44 ngarcia Description Updated View Revisions
2018-03-22 09:50 ngarcia Description Updated View Revisions
2018-03-23 20:42 collazoandy4 Note Edited: 0103242 View Revisions
2018-03-26 18:41 hgbot Checkin
2018-03-26 18:41 hgbot Note Added: 0103546
2018-03-26 18:41 hgbot Status scheduled => resolved
2018-03-26 18:41 hgbot Resolution open => fixed
2018-03-26 18:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2807ccffa5464dbf8ba634861f813953aa606fd6 [^]
2018-03-26 18:41 dmiguelez Review Assigned To => dmiguelez
2018-03-26 18:41 dmiguelez Note Added: 0103547
2018-03-26 18:41 dmiguelez Status resolved => closed
2018-03-26 18:41 dmiguelez Fixed in Version => 3.0PR18Q2
2018-03-29 13:07 hudsonbot Checkin
2018-03-29 13:07 hudsonbot Note Added: 0103635


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker